<template>
    <div>
        <div v-if='uploadVisible' class="uploadWarp">
            <el-collapse v-model="activeNames" @change="handleChange" style="position: absolute; width: 100%">
                <el-collapse-item title="同步中.." name="1">
                    <div>已成功同步100个文件，共200个文件</div>
                    <el-progress :text-inside="true" :show-text='false' :stroke-width="2" :percentage="70"></el-progress>
                </el-collapse-item>
            </el-collapse>
        </div>
    </div>
</template>

<script>
import { mapState } from 'vuex'
export default {
    components: {

    },
    props: [],
    data() {
        return {
            activeNames: true
        }
    },
    watch: {
        uploadVisible(nv, ov) {
            console.log({nv, ov})
        }
    },
    computed: {
        ...mapState('uploadFile', ['uploadVisible'])
    },
    mounted() {
        
        
    },
    methods: {
        
    },
}
</script>

<style scoped lang='less'>
    .uploadWarp {
        position: fixed;
        right: 32px;
        bottom: 160px;
        width: 420px;

    }
</style>